using UnityEngine;
using UnityEngine.UI;

public class PhishingEmailSimulation : MonoBehaviour
{
    public GameObject emailNotification;  // Das Benachrichtigungs-Panel
    public GameObject emailOverlay;       // Das Overlay-Bild
    public AudioClip notificationSound;   // Der Benachrichtigungston
    private AudioSource audioSource;

    void Start()
    {
        emailNotification.SetActive(true);
        emailOverlay.SetActive(false);
        audioSource = gameObject.AddComponent<AudioSource>();
    }

    void OnTriggerEnter(Collider other)
    {
        if (other.CompareTag("Hand"))
        {
            ShowEmailNotification();
        }
    }

    public void ShowEmailNotification()
    {
        emailNotification.SetActive(true);
        audioSource.PlayOneShot(notificationSound);
    }

    public void ShowEmailOverlay()
    {
        emailOverlay.SetActive(true);
        emailNotification.SetActive(false);
    }

    void Update()
    {
        // Prfen, ob die E-Mail-Benachrichtigung angetippt wird
        if (emailNotification.activeSelf && Input.GetMouseButtonDown(0))
        {
            Ray ray = Camera.main.ScreenPointToRay(Input.mousePosition);
            RaycastHit hit;
            if (Physics.Raycast(ray, out hit))
            {
                if (hit.transform.gameObject == emailNotification)
                {
                    ShowEmailOverlay();
                }
            }
        }
    }
}
